Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81703 - (FLOPPY PCI)can't access floppy after RH 8.0 install
Summary: (FLOPPY PCI)can't access floppy after RH 8.0 install
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: i586
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-13 01:34 UTC by Kenneth H. Riley
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:24 UTC


Attachments (Terms of Use)
Boot messages captured at serial console (deleted)
2003-01-13 02:20 UTC, Kenneth H. Riley
no flags Details

Description Kenneth H. Riley 2003-01-13 01:34:47 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
After installing RH8.0 from cdrom the floppy drive cannot be accessed
from linux.  When I attempt to mount the floppy with, say, a driver
disk in the floppy:

    mount /dev/fd0 /mnt

I get

    mount: /dev/fd0 is not a valid block device

I can use the floppy drive just fine when I boot Win 98SE.  Also,
during the installation, the creation of a boot disk failed.  I also
noticed that the addresses assigned to my primary IDE controller were
not quite right:

kenyatta~$ cd /proc
kenyatta/proc$ cat ioports
0000-001f : dma1
0020-003f : pic1
0040-005f : timer
0060-006f : keyboard
0070-007f : rtc
0080-008f : dma page reg
00a0-00bf : pic2
00c0-00df : dma2
00f0-00ff : fpu
01f0-01f7 : Micron FDC 37C665
02f8-02ff : serial(auto)
0330-0331 : mpu401
0332-0337 : SoundScape
0378-037a : parport0
037b-037f : parport0
03c0-03df : vga+
03f4-03f7 : Micron FDC 37C665 <== This should be 03f6-03f6 !!!
03f8-03ff : serial(auto)
0534-0537 : SoundScape PNP
0cf8-0cfb : PCI conf2
e000-e0ff : ATI Technologies Inc 3D Rage Pro 215GP
f800-f8ff : Accton Technology Corporation SMC2-1211TX
  f800-f8ff : 8139too
fc00-fcff : Adaptec AIC-7892A U160/m

At boot time, the floppy appears to be busy:

Floppy drive(s): fd0 is 1.44M, fd1 is 1.2M
floppy0: Floppy io-port 0x03f2 in use

In /proc/ioports, The primary IDE device appears to be using part
of the I/O space of the primary floppy.  In fact, the identification
of the PCI IDE device as a "Micron FDC 37C665" is strange.  I have
an Intel Premiere/PCI-II (Plato) mother board.  The primary IDE
device is a PC Tech RZ1000.  It is a PCI device.  The board also has a
Standard Microsystems Corporation FDC 37c665 super IO controller.
This controller provides two serial ports, one parallel port, a floppy
controller and an ISA IDE controller that is the secondary IDE
device.

I created a boot disk in Win98SE using rawrite.  I can boot from the
floppy but I cannot use a driver disk.  If a boot from a RH8.0 boot
disk and use the RH8.0 CD rom, when I use Control-Alt-F2 to enter
the shell, I cannot use the floppy.  If I boot from a RH7.2 boot
floppy and use the RH8.0 CD-rom, when I enter the shell, I can use the
floppy OK and /proc/ioports shows the primary IDE device using only
ports 0x1f0-ox1f7 and 0x3f6.

This problem appears to be similiar to bug reports 69048, 76513 and
77886.  Please help.  I can provide any additional information
required.

Ken Riley
khriley@ameritech.net


I have both IDE controllers busied out in the BIOS since I have an
all SCSI system.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot RH8.0 linux
2. put a formatted disk into the floppy drive
3. As root, type:  mount /dev/fd0 /mnt
    

Actual Results:  I get the error message:

mount: /dev/fd0 is not a valid block device

Expected Results:  The floppy should have been mounted onto the /mnt mount point.

Additional info:

This happened with the Red Had Linux 8.0 Professional retail distribution.
The kernel is 2.4.18-14.  I have since upgraded to 2.4.18-19.8.0
and still have the same problem.

Comment 1 Kenneth H. Riley 2003-01-13 02:20:49 UTC
Created attachment 89328 [details]
Boot messages captured at serial console

At the LILO "boot:" prompt, I added floppy=debug to see if I could get
more verbose output for the floppy problem.  I didn't.

Comment 2 Kenneth H. Riley 2003-01-13 02:23:40 UTC
kenyatta~$ cd /proc
kenyatta/proc$ cat pci
PCI devices found:
  Bus  0, device   0, function  0:
    Host bridge: Intel Corp. 82434LX [Mercury/Neptune] (rev 17).
      Master Capable.  Latency=64.
  Bus  0, device   1, function  0:
    IDE interface: Micron FDC 37C665 (rev 1).
      I/O at 0x1f0 [0x1f7].
      I/O at 0x3f4 [0x3f7].
  Bus  0, device   2, function  0:
    Non-VGA unclassified device: Intel Corp. 82378IB [SIO ISA Bridge] (rev 67).
  Bus  0, device   6, function  0:
    SCSI storage controller: Adaptec AIC-7892A U160/m (rev 2).
      IRQ 15.
      Master Capable.  Latency=64.  Min Gnt=40.Max Lat=25.
      I/O at 0xfc00 [0xfcff].
      Non-prefetchable 64 bit memory at 0xffbff000 [0xffbfffff].
  Bus  0, device  12, function  0:
    VGA compatible controller: ATI Technologies Inc 3D Rage Pro 215GP (rev 92).
      Master Capable.  Latency=66.  Min Gnt=8.
      Prefetchable 32 bit memory at 0xa0000000 [0xa0ffffff].
      I/O at 0xe000 [0xe0ff].
      Non-prefetchable 32 bit memory at 0xa1000000 [0xa1000fff].
  Bus  0, device  14, function  0:
    Ethernet controller: Accton Technology Corporation SMC2-1211TX (rev 16).
      IRQ 11.
      Master Capable.  Latency=66.  Min Gnt=32.Max Lat=64.
      I/O at 0xf800 [0xf8ff].
      Non-prefetchable 32 bit memory at 0xffbfec00 [0xffbfecff].

Comment 3 Kenneth H. Riley 2003-02-03 19:36:16 UTC
Change bug component from 'kernel' to 'kudzu'.

Ken Riley
khriley@ameritech.net


Comment 4 Bugzilla owner 2004-09-30 15:40:24 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.